#### D.4.11.13 isLocallyFree

Procedure from library `homolog.lib` (see homolog_lib).

Usage:
  isLocallyFree(M,r); M module, r int

Return:
  1 if M'=coker(M) is locally free of constant rank r;
  0 if this is not the case.

Example:

    LIB "homolog.lib";
    ring R=0,(x,y,z),dp;
    matrix M[2][3];     // the presentation matrix
    M=x-1,y-1,z,y-1,x-2,x;
    ideal I=fitting(M,0); // 0-th Fitting ideal of coker(M)
    qring Q=I;
    matrix M=fetch(R,M);
    isLocallyFree(M,1); // as R/I-module, coker(M) is locally free of rk 1
    ==> 1
    isLocallyFree(M,0);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.